Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp2
Interface Mtp2TimerProfileMBean

public abstract interface Mtp2TimerProfileMBean
extends OamTimerProfileMBean, Mtp2ManagedObjectMBean

This interface defines the specified timers for the MTP2 Protocol Layer. When this Mtp2TimerProfileMBean is created, the corresponding OamTimerValsMBean should be created for each Timer with the correct min, max and default values set.

Whenever the Protocol variant of the Protocol Layer is changed, the max, min, and default values should be automatically changed.

The Timer values are based on the ITU and ANSI Standards.

Timer Default values are rate-dependent (ITU Q.703 , ANSI T1.111) and therefore should be defaulted to the middle of the min and max range. The comments for each Timer defined within this Timer Profile identify the default values for that Timer.

When the value of a timer (t) defined for this Mtp2TimerProfileMBean is changed, an Mtp2AlarmNotification should be sent to all registered Mtp2AlarmNotificationListeners.
The Mtp2AlarmNotification (Notification) should have the following characterics:

- Notification.getSource().getClass().getName() == "jain.protocol.ss7.oam.mtp2.Mtp2TimerProfileMBean"
- Notification.getType() == OamAlarmNotification.ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- Notification.getTimerId() == t.getTimerID()

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_TIMER_EXPIRED
- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR
- MTP2_ERROR_INVALID_TIMER_EXPIRED

Inheritance hierarchy for JAIN OAM Timer

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getMtp2TimerT1()` Returns the ObjectName of the Timer: Alignment ready [ITU & ANSI].
`ObjectName` | `getMtp2TimerT2()` Returns the ObjectName of the Timer: Not aligned [ITU & ANSI].
`ObjectName` | `getMtp2TimerT3()` Returns the ObjectName of the Timer: Aligned [ITU & ANSI].
`ObjectName` | `getMtp2TimerT4E()` Returns the ObjectName of the Timer: Emergency proving period [ITU & ANSI].
`ObjectName` | `getMtp2TimerT4N()` Returns the ObjectName of the Timer: Normal proving period [ITU & ANSI].
`ObjectName` | `getMtp2TimerT5()` Returns the ObjectName of the Timer: Sending SIB [ITU & ANSI].
`ObjectName` | `getMtp2TimerT6()` Returns the ObjectName of the Timer: Remote congestion [ITU & ANSI].
`ObjectName` | `getMtp2TimerT7()` Returns the ObjectName of the Timer: Excessive delay of acknowledgement [ITU & ANSI].

Methods inherited from interface jain.protocol.ss7.oam.OamTimerProfileMBean
`initialiseTimers`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getMtp2TimerT1

    public ObjectName getMtp2TimerT1()

  Returns the ObjectName of the Timer: Alignment ready [ITU & ANSI].

  Timer ID: 101
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 40000 ms, Max: 50000 ms, Default: 45000 ms
  ANSI - Min: 12500 ms, Max: 13500 ms, Default: 13000 ms

### getMtp2TimerT2

    public ObjectName getMtp2TimerT2()

  Returns the ObjectName of the Timer: Not aligned [ITU & ANSI].

  Timer ID: 102
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 50000 ms, Max: 150000 ms, Default: 100000 ms
  ANSI - Min: 11000 ms, Max: 12000 ms. Default: 11500 ms

### getMtp2TimerT3

    public ObjectName getMtp2TimerT3()

  Returns the ObjectName of the Timer: Aligned [ITU & ANSI].

  Timer ID: 103
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 1000 ms, Max: 1500 ms, Default: 1250 ms
  ANSI - Min: 11000 ms, Max: 12000 ms, Default: 11500 ms

### getMtp2TimerT4E

    public ObjectName getMtp2TimerT4E()

  Returns the ObjectName of the Timer: Emergency proving period [ITU & ANSI].

  Timer ID: 104
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 400 ms, Max: 600, Default: 500 ms
  ANSI - Min: 540 ms, Max: 600, Default: 580 ms

### getMtp2TimerT4N

    public ObjectName getMtp2TimerT4N()

  Returns the ObjectName of the Timer: Normal proving period [ITU & ANSI].

  Timer ID: 105
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 75000 ms, Max: 95000, Default: 85000 ms
  ANSI - Min: 2000 ms, Max: 2500, Default: 2250 ms

### getMtp2TimerT5

    public ObjectName getMtp2TimerT5()

  Returns the ObjectName of the Timer: Sending SIB [ITU & ANSI].

  Timer ID: 106
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 80 ms, Max: 120 ms, Default: 100 ms
  ANSI - Min: 80 ms, Max: 120 ms, Default: 100 ms

### getMtp2TimerT6

    public ObjectName getMtp2TimerT6()

  Returns the ObjectName of the Timer: Remote congestion [ITU & ANSI].

  Timer ID: 107
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 3000 ms, Max: 6000 ms, Default: 4500 ms
  ANSI - Min: 3000 ms, Max: 6000 ms, Default: 4500 ms

### getMtp2TimerT7

    public ObjectName getMtp2TimerT7()

  Returns the ObjectName of the Timer: Excessive delay of acknowledgement [ITU & ANSI].

  Timer ID: 108
  Reference: ITU Q.703, Section 12.3 T1.111.3, Section 12.3
  Default Values: Not Specified
  ITU - Min: 500 ms, Max: 2000 ms, Default: 1250 ms
  ANSI - Min: 500 ms, Max: 2000 ms, Default: 1250 ms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems